#!/usr/bin/perl

## Simple script to lookup entries.
##
## $Id: lookup-entries.pl,v 1.1 1999/12/06 20:01:26 dmoore Exp $
##
## AUTHOR: David Moore, CAIDA
## <LICENSE>


use CAIDA::NetGeoClient;

use strict;

my $netgeo = new CAIDA::NetGeoClient();
#$netgeo->setNonblocking(1);
$netgeo->useLocalCache( "true" );

my $stringRef = $ARGV[0];

my $recordRef = $netgeo->getLatLong( $stringRef );

if( $recordRef->{STATUS} eq "OK" )
{
	print "$recordRef->{LAT} $recordRef->{LONG}\n";
}

